Bug 738119 - deltacloud init scripts not available after configure, aeolus-configure error's out on adding providers
Summary: deltacloud init scripts not available after configure, aeolus-configure error...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Mike Orazi
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 02:58 UTC by wes hayutin
Modified: 2012-01-26 12:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:50:01 UTC


Attachments (Terms of Use)

Description wes hayutin 2011-09-14 02:58:06 UTC
Description of problem:
[root@dell-pe860-01 nodes]# aeolus-configure -d -v 
Launching aeolus configuration recipe...
info: Applying configuration version '1315968132'
notice: /Stage[main]/Postgres::Server/Exec[pginitdb]/returns: executed successfully
info: /Stage[main]/Postgres::Server/Exec[pginitdb]: Scheduling refresh of Service[postgresql]
notice: /File[/var/log/deltacloud-core]/ensure: created
info: FileBucket adding {md5}32962db9efb8ba7ba027226555303f7e
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Filebucketed /var/lib/pgsql/data/pg_hba.conf to puppet with sum 32962db9efb8ba7ba027226555303f7e
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/content: content changed '{md5}32962db9efb8ba7ba027226555303f7e' to '{md5}2d3f1f2e30c9b188961b1acd3ade3b8b'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/owner: owner changed 'postgres' to 'root'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/group: group changed 'postgres' to 'root'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/mode: mode changed '600' to '644'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/seluser: seluser changed 'unconfined_u' to 'system_u'
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
notice: /Stage[main]/Postgres::Server/Service[postgresql]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Postgres::Server/Service[postgresql]: Triggered 'refresh' from 6 events
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory/Service[libvirtd]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/data]/ensure: created
notice: /File[/data/db]/ensure: created
notice: /File[/root/.aeolus-cli]/ensure: defined content as '{md5}3480897435f68ac21b0e4ae48fd5b38a'
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
info: FileBucket adding {md5}32fdc5cdf3f181e7b6987410cf607d15
info: /File[/etc/ntp/step-tickers]: Filebucketed /etc/ntp/step-tickers to puppet with sum 32fdc5cdf3f181e7b6987410cf607d15
notice: /File[/etc/ntp/step-tickers]/content: content changed '{md5}32fdc5cdf3f181e7b6987410cf607d15' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
info: /File[/etc/ntp/step-tickers]: Scheduling refresh of Service[ntpd]
info: FileBucket adding {md5}71aa32d7248c3f9b3504ebbc126335ba
info: /File[/etc/ntp.conf]: Filebucketed /etc/ntp.conf to puppet with sum 71aa32d7248c3f9b3504ebbc126335ba
notice: /File[/etc/ntp.conf]/content: content changed '{md5}71aa32d7248c3f9b3504ebbc126335ba' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
info: /File[/etc/ntp.conf]: Scheduling refresh of Service[ntpd]
notice: /Stage[main]/Ntp::Client/Service[ntpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Ntp::Client/Service[ntpd]: Triggered 'refresh' from 2 events
info: FileBucket adding {md5}74475874677f1c689de937e4ef8c89f1
info: /File[/etc/qpidd.conf]: Filebucketed /etc/qpidd.conf to puppet with sum 74475874677f1c689de937e4ef8c89f1
notice: /File[/etc/qpidd.conf]/content: content changed '{md5}74475874677f1c689de937e4ef8c89f1' to '{md5}3b762fe02ab4c355304d933bad24aee0'
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Selinux::Mode[permissive]/Exec[set_selinux_permissive]/returns: executed successfully
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
info: FileBucket adding {md5}f1048c6a2c764a670e2f75c4edcd3f9a
info: /File[/etc/httpd/conf.d/aeolus-conductor.conf]: Filebucketed /etc/httpd/conf.d/aeolus-conductor.conf to puppet with sum f1048c6a2c764a670e2f75c4edcd3f9a
notice: /File[/etc/httpd/conf.d/aeolus-conductor.conf]/content: content changed '{md5}f1048c6a2c764a670e2f75c4edcd3f9a' to '{md5}0903c79c5c139b3b29ec930849890b41'
info: /File[/etc/httpd/conf.d/aeolus-conductor.conf]: Scheduling refresh of Exec[reload-apache]
notice: /Stage[main]/Apache/Exec[reload-apache]: Triggered 'refresh' from 1 events
notice: /Stage[main]/Aeolus::Image-factory/File[/var/tmp/imagefactory-mock]/ensure: created
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/etc/condor/config.d/10deltacloud.config]/ensure: defined content as '{md5}f8266a8f5eba4717579d5e14edee0a74'
notice: /Stage[main]/Aeolus::Conductor/Service[condor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
err: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-east-1]/Web_request[provider-ec2-us-east-1]/post: change from  to https://localhost/conductor/providers failed: An exception was raised when invoking web request: Expecting //html/body//li[text() = 'Provider added.'] in the result
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
err: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]/post: change from  to https://localhost/conductor/providers failed: An exception was raised when invoking web request: Expecting //html/body//li[text() = 'Provider added.'] in the result
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider::Account[mockuser]/Web_request[provider-account-mockuser]: Dependency Web_request[provider-mock] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider::Account[mockuser]/Web_request[provider-account-mockuser]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp2]/Web_request[hwp-hwp2]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
err: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-west-1]/Web_request[provider-ec2-us-west-1]/post: change from  to https://localhost/conductor/providers failed: An exception was raised when invoking web request: Expecting //html/body//li[text() = 'Provider added.'] in the result
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]: Dependency Web_request[provider-ec2-us-west-1] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]: Dependency Web_request[provider-mock] has failures: true
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]: Dependency Web_request[provider-ec2-us-east-1] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
info: Creating state file /var/lib/puppet/state/state.yaml
notice: Finished catalog run in 58.86 seconds


[root@dell-pe860-01 nodes]# ls /etc/init.d/deltacloud*
/etc/init.d/deltacloud-core
[root@dell-pe860-01 nodes]# 


[root@dell-pe860-01 nodes]# rpm -qa | grep aeolus
rubygem-aeolus-image-0.1.0-3.20110824113236git15b6922.fc15.noarch
aeolus-conductor-0.4.0-0.20110906160322gitef6e25d.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110906160322gitef6e25d.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110906160322gitef6e25d.fc15.noarch
aeolus-configure-2.0.2-3.20110913104910gitb90de40.fc15.noarch
aeolus-all-0.4.0-0.20110906160322gitef6e25d.fc15.noarch
[root@dell-pe860-01 nodes]#

Comment 3 wes hayutin 2011-09-20 15:40:08 UTC
[root@unused ~]# 
[root@unused ~]# aeolus-cleanup -d -v; aeolus-configure -d -v
dnsdomainname: Name or service not known
info: Applying configuration version '1316526427'
notice: /Stage[main]/Aeolus::Deltacloud::Disabled/Service[deltacloud-core]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[aeolus-conductor]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[conductor-dbomatic]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[httpd]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[condor]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor::Disabled/Postgres::User[aeolus]/Exec[drop_aeolus_postgres_user]/returns: executed successfully
info: /File[/var/lib/aeolus-conductor]: Recursively backing up to filebucket
info: FileBucket adding {md5}d41d8cd98f00b204e9800998ecf8427e
info: /File[/var/lib/aeolus-conductor]: Filebucketed /var/lib/aeolus-conductor/production.seed to puppet with sum d41d8cd98f00b204e9800998ecf8427e
notice: /File[/var/lib/aeolus-conductor]/ensure: removed
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[imagefactory]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[qpidd]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[iwhd]/ensure: ensure changed 'running' to 'stopped'
notice: /File[/var/lib/iwhd]/ensure: removed
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[mongod]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Exec[remove_aeolus_templates]/returns: executed successfully
notice: Finished catalog run in 16.55 seconds
Launching aeolus configuration recipe...
dnsdomainname: Name or service not known
info: Applying configuration version '1316526447'
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Selinux::Mode[permissive]/Exec[set_selinux_permissive]/returns: executed successfully
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/var/lib/iwhd]/ensure: created
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Service[condor]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/var/lib/aeolus-conductor]/ensure: created
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-west-1]/Web_request[provider-ec2-us-west-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider::Account[mockuser]/Web_request[provider-account-mockuser]/post: post changed '' to 'https://localhost/conductor/provider_accounts'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-east-1]/Web_request[provider-ec2-us-east-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp2]/Web_request[hwp-hwp2]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
info: FileBucket adding {md5}2691b166580aa8ac7efab51b32a1b28c
info: /File[/etc/ntp.conf]: Filebucketed /etc/ntp.conf to puppet with sum 2691b166580aa8ac7efab51b32a1b28c
notice: /File[/etc/ntp.conf]/content: content changed '{md5}2691b166580aa8ac7efab51b32a1b28c' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
info: /File[/etc/ntp.conf]: Scheduling refresh of Service[ntpd]
notice: /Stage[main]/Ntp::Client/Service[ntpd]: Triggered 'refresh' from 1 events
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 61.61 seconds
[root@unused ~]# aeolus-cleanup -d -v; aeolus-configure -d -v
dnsdomainname: Name or service not known
info: Applying configuration version '1316526521'
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[iwhd]/ensure: ensure changed 'running' to 'stopped'
notice: /File[/var/lib/iwhd]/ensure: removed
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[mongod]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Deltacloud::Disabled/Service[deltacloud-core]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Exec[remove_aeolus_templates]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[aeolus-conductor]/ensure: ensure changed 'running' to 'stopped'
info: /File[/var/lib/aeolus-conductor]: Recursively backing up to filebucket
info: FileBucket got a duplicate file {md5}d41d8cd98f00b204e9800998ecf8427e
info: /File[/var/lib/aeolus-conductor]: Filebucketed /var/lib/aeolus-conductor/production.seed to puppet with sum d41d8cd98f00b204e9800998ecf8427e
notice: /File[/var/lib/aeolus-conductor]/ensure: removed
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[conductor-dbomatic]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[condor]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[httpd]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor::Disabled/Postgres::User[aeolus]/Exec[drop_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[imagefactory]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[qpidd]/ensure: ensure changed 'running' to 'stopped'
notice: Finished catalog run in 11.22 seconds
Launching aeolus configuration recipe...
dnsdomainname: Name or service not known
info: Applying configuration version '1316526536'
notice: /File[/var/lib/iwhd]/ensure: created
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor]/ensure: created
notice: /Stage[main]/Aeolus::Conductor/Service[condor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Selinux::Mode[permissive]/Exec[set_selinux_permissive]/returns: executed successfully
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-east-1]/Web_request[provider-ec2-us-east-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[mock]/Web_request[provider-mock]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider::Account[mockuser]/Web_request[provider-account-mockuser]/post: post changed '' to 'https://localhost/conductor/provider_accounts'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Provider[ec2-us-west-1]/Web_request[provider-ec2-us-west-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp2]/Web_request[hwp-hwp2]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]/ensure: ensure changed 'stopped' to 'running'
notice: Finished catalog run in 59.57 seconds
[root@unused ~]# 
[root@unused ~]# 
[root@unused ~]# 
[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-configure-2.0.2-4.20110916125556git5a94390.fc15.noarch
aeolus-conductor-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-all-0.4.0-0.20110919181505git369190d.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
[root@unused ~]# /etc/init.d/deltacloud-core status
deltacloud-core.service - LSB: Deltacloud Core API deamon
	  Loaded: loaded (/etc/rc.d/init.d/deltacloud-core)
	  Active: active (running) since Tue, 20 Sep 2011 09:49:01 -0400; 1h 50min ago
	Main PID: 11081 (deltacloudd)
	  CGroup: name=systemd:/system/deltacloud-core.service
		  └ 11081 /usr/bin/ruby /usr/bin/deltacloudd -i mock -e production --port 3002 -r localhost


Note You need to log in before you can comment on or make changes to this bug.